中危 Cacti up to 0.8.8f top_graph_header.php SQL注入

CVE编号

CVE-2015-8369

利用情况

暂无

补丁情况

官方补丁

披露时间

2015-12-18
漏洞描述
Cacti是Cacti集团的一套开源的网络流量监测和分析工具。该工具通过snmpget来获取数据,使用RRDtool绘画图形进行分析,并提供数据和用户管理功能。

Cacti 0.8.8f以前版本存在SQL注入漏洞。允许远程攻击者通过graphphp属性行动中的rra_id参数执行任意SQL命令。
解决建议
用户可参考如下厂商提供的安全公告获取补丁以修复该漏洞:
http://seclists.org/fulldisclosure/2015/Dec/8
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 cacti cacti * Up to
(including)
0.8.8f
运行在以下环境
系统 debian DPKG * Up to
(excluding)
0.8.8f+ds1-3
运行在以下环境
系统 debian_6 cacti * Up to
(excluding)
0.8.7g-1+squeeze9+deb6u11
运行在以下环境
系统 debian_7 cacti * Up to
(excluding)
0.8.8a+dfsg-5+deb7u7
运行在以下环境
系统 debian_8 cacti * Up to
(excluding)
0.8.8b+dfsg-8+deb8u2
运行在以下环境
系统 fedora_EPEL_6 cacti * Up to
(excluding)
0.8.8g-2.el6
运行在以下环境
系统 fedora_EPEL_7 cacti * Up to
(excluding)
0.8.8g-1.el7
运行在以下环境
系统 opensuse_13.2 cacti * Up to
(excluding)
0.8.8f-4.3.1
运行在以下环境
系统 opensuse_Leap_42.1 cacti * Up to
(excluding)
0.8.8f-8.1
运行在以下环境
系统 ubuntu_14.04.6_lts cacti * Up to
(excluding)
0.8.8b+dfsg-5ubuntu0.2
运行在以下环境
系统 ubuntu_14.04_lts cacti * Up to
(excluding)
0.8.8b+dfsg-5ubuntu0.2
运行在以下环境
系统 ubuntu_16.04.7_lts cacti * Up to
(excluding)
0.8.8f+ds1-3
运行在以下环境
系统 ubuntu_16.04_lts cacti * Up to
(excluding)
0.8.8f+ds1-3
阿里云评分
6.2
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-89 SQL命令中使用的特殊元素转义处理不恰当(SQL注入)
阿里云安全产品覆盖情况